#!/bin/bash

set -euo pipefail

if [ "$#" -ne 1 ] ; then
	echo "Usage: $0 <wgif>"
	exit 1
fi

wgif="$1"

if [ -z "$(ip a | grep "$wgif")" ] ; then
	wg-quick up "$wgif"
else
	wg syncconf "$wgif" <(wg-quick strip "$wgif")
fi

