#!/bin/bash
set -euo pipefail

. "$DOCKER_DIR/.env"
. "$DATA_DIR/.env"

webdav_url="$(echo "$NC_SHARE_LINK" | sed 's#/s/.*#/public.php/webdav/#')"    
webdav_user="$(echo "$NC_SHARE_LINK"  |sed 's#.*/s/##')"    
webdav_pass="$(rclone obscure "$NC_SHARE_PASSWORD")"    

git_update.sh "$GIT_SOURCE_REPO"    
rclone sync --webdav-url="$webdav_url" --webdav-user="$webdav_user" --      webdav-pass="$webdav_pass" --webdav-vendor=nextcloud :webdav: "$CLOUD_LOCAL_PATH"
hugo    

