#!/bin/bash
echo "Content-type: text/html"
echo ""

service="$(echo "$DOCUMENT_URI" | tr -d '/\;!&<>?#[]()"*')"
path="/docker/$service/deploy_http.sh"
. /etc/jeancloud.env

echo '<html><head><title>Rechargement d’un site web</title><meta charset="utf-8" /></head>'
echo '<body>'
echo "<h2>Rechargement d’un site web : $service</h2>"
echo "<h3> Résultat local</h3>"
if [ -x "$path" ] ; then
	echo "<pre>"
	"$path"
	ret="$?"
	echo "</pre>"
	if [ "$ret" -ne 0 ] ; then
		echo '<p style="color:red;">Une erreur a été détectée. Contactez Jean-Cloud.</p>'
	else
		while read ip ; do
			echo curl http://deployer.jean-cloud.org/ --resolve "*:80:$ip"
			if [ "$?" -eq 0 ] ; then
				echo "$ip ok"
			else
				echo "$ip ERREUR"
			fi
		done < <(getent hosts deployer.jean-cloud.org | cut -d ' ' -f 1 | grep -v "$my_ip")
	fi

	echo '<p>Les informations précédentes peuvent vous être utiles (erreurs dans un document, fichier absent…). Prenez le temps de les lire pour avoir un site dont toutes les pages fonctionnent !</p>'
else
	echo "<p>Échec. Contactez Jean-Cloud</p>"
fi

echo '</body>'
echo '</html>

